import Cookies from 'js-cookie';

class Yuna {

    getUser() {
        const cookieStr = Cookies.get("user");
        if (cookieStr) {
            const decodedCookie = decodeURIComponent(cookieStr);
            return JSON.parse(decodedCookie) as IUserCookie;
        }

        return undefined;
    }

    user: IUserCookie | undefined = this.getUser()

}

export const yunaGlobal = new Yuna();


interface IUserCookie {
    isAdmin: boolean
    username: string,
    id: number
}